setHook("rstudio.sessionInit", function(newSession) {
  if (is.null(rstudioapi::getActiveProject()))
    rstudioapi::openProject(stringr::str_subset(list.files(), "Rproj")) 
  else (message("Welcome to Project template created by Lukas Novak"))
}, action = "append")

# if you want to add credentials very time when push or pull type this command:
system("git config --global --add safe.directory /home/rstudio")
system("git switch master")
system("git rebase")
system("git remote set-url origin https://gitlab.com/git.user.name/project.git")
system("git config --global user.email \"email@gmail.com\"")
system("git config --global user.name \"git_username\"")

# installing all required packages into the project directory
if(!file.exists("Packages")) {
  dir.create("Packages")
  .libPaths(new = "Packages")
} else {
  print("Package file exists")
}
.libPaths(new = "Packages")
